﻿Public Class Form1

    Private m_bClick As Boolean
    Private m_bFirst As Boolean
    Private m_strSearchWord As String
    Private m_iClickX As Integer
    Private m_iSelectMemory As Integer
    Private m_sFoundFileList As SmartX.SmartFile.SEARCHFILEINFOS()

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
        SmartForm1.MainForm = Me
        SmartForm1.AddChildForm(SmartInnerForm1)
        SmartForm1.AddChildForm(SmartInnerForm2)
        SmartForm1.Show(0)
    End Sub

    Private Sub btnFlashDisk_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnFlashDisk.Click
        m_iSelectMemory = 0
        DeviceSelect(m_iSelectMemory)
    End Sub

    Private Sub btnHardDisk_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnHardDisk.Click
        m_iSelectMemory = 1
        DeviceSelect(m_iSelectMemory)
    End Sub

    Private Sub btnSDCard_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnSDCard.Click
        m_iSelectMemory = 2
        DeviceSelect(m_iSelectMemory)
    End Sub

    Private Sub btnAll_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnAll.Click
        m_iSelectMemory = 3
        DeviceSelect(m_iSelectMemory)
    End Sub

    ' Item을 더블클릭하여 선택
    Private Sub lstImageList_DoubleClick(ByVal sender As Object, ByVal e As EventArgs) Handles lstImageList.DoubleClick
        ' 선택된 항목이 있는지 확인
        If lstImageList.SelectItemIndex = -1 Then
            SmartX.SmartMessageBox.Show("선택한 이미지가 없습니다.")
            Return
        End If

        smartPictureBox1.ImageListClear()

        For i As Integer = 0 To lstImageList.ItemCount - 1
            smartPictureBox1.AddImageList(lstImageList.Items(i).Trim())
        Next

        SmartForm1.Show(2)
        smartPictureBox1.DrawNext(lstImageList.SelectItemIndex)
    End Sub

    Private Sub btnScrollButton_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnScrollUp.Click, btnScrollDown.Click
        If sender Is btnScrollUp Then
            lstImageList.ScrollUp()
        Else
            lstImageList.ScrollDown()
        End If
    End Sub

    Private Sub btnBack_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnBack.Click
        lstImageList.ClearAll()
        SmartForm1.Show(0)
    End Sub

    Private Sub btnSearch_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnSearch.Click
        DeviceSelect(m_iSelectMemory)
    End Sub

    Private Sub smartPictureBox1_MouseUp(ByVal sender As Object, ByVal e As MouseEventArgs) Handles smartPictureBox1.MouseUp
        m_bClick = False
        ' 클릭 지점의 x좌표값 저장
        m_iClickX = e.X
    End Sub

    Private Sub smartPictureBox1_MouseDown(ByVal sender As Object, ByVal e As MouseEventArgs) Handles smartPictureBox1.MouseDown
        m_bClick = True
        m_bFirst = True
        SmartTimer1.Start()
    End Sub

    Private Sub smartTimer1_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles SmartTimer1.Tick
        ' 처음 눌러진게 아닌 경우.
        If m_bFirst = False Then
            SmartTimer1.Stop()
            ' 누른 상태인 경우
            If m_bClick = True Then
                Dim eDialogResult As DialogResult = SmartX.SmartMessageBox.Show("Exit?", "화면보기", MessageBoxButtons.YesNo, MessageBoxIcon.Question)
                ' Yes를 누른 경우
                If eDialogResult = DialogResult.Yes Then
                    SmartForm1.Show(1)
                End If
            End If

            m_bFirst = True
            Return
        End If

        m_bFirst = Not m_bFirst
    End Sub

    Private Sub smartPictureBox1_DoubleClick(ByVal sender As Object, ByVal e As EventArgs) Handles smartPictureBox1.DoubleClick
        ' 화면 좌측 클릭
        If m_iClickX < 400 Then
            smartPictureBox1.IncrementType = SmartX.SmartPictureBox.IncrementTypes.Decrement
            smartPictureBox1.DrawNext()
        Else
            smartPictureBox1.IncrementType = SmartX.SmartPictureBox.IncrementTypes.Increment
            smartPictureBox1.DrawNext()
        End If
    End Sub

    Private Sub smartCheckBox_Click(ByVal sender As Object, ByVal e As EventArgs) Handles chkTif.Click, chkPng.Click, chkJpg.Click, chkGif.Click, chkBmp.Click, chkAll.Click
        If sender Is chkAll Then
            chkBmp.Checked = False
            chkGif.Checked = False
            chkJpg.Checked = False
            chkPng.Checked = False
            chkTif.Checked = False
        Else
            chkAll.Checked = False
        End If
    End Sub

    ' 전체 목록 출력
    Private Sub DeviceSelect(ByVal iSelectMemory As Integer)
        SmartForm1.Show(1)

        ' 현재 경로의 파일 리스트를 얻습니다.
        ' 리스트 항목 모두 삭제
        lstImageList.ClearAll()

        If chkAll.Checked = True Then
            m_strSearchWord = "*.bmp;*.jpg;*.png;*.tif;*.gif;"
        ElseIf chkBmp.Checked = True Then
            m_strSearchWord = "*.bmp"
        ElseIf chkJpg.Checked = True Then
            m_strSearchWord = "*.jpg"
        ElseIf chkPng.Checked = True Then
            m_strSearchWord = "*.png"
        ElseIf chkTif.Checked = True Then
            m_strSearchWord = "*.tif"
        ElseIf chkGif.Checked = True Then
            m_strSearchWord = "*.gif"
        Else
            SmartX.SmartMessageBox.Show("최소 하나 이상 선택이 필요합니다.")
        End If

        Select Case iSelectMemory
            Case 0
                m_sFoundFileList = SmartX.SmartFile.FileSearch("Flash Disk", m_strSearchWord, chkSubDir.Checked)

                For i As Integer = 0 To m_sFoundFileList.Length - 1
                    SmartListBoxAddItem(i)
                Next

            Case 1
                m_sFoundFileList = SmartX.SmartFile.FileSearch("하드 디스크", m_strSearchWord, chkSubDir.Checked)

                For i As Integer = 0 To m_sFoundFileList.Length - 1
                    SmartListBoxAddItem(i)
                Next

            Case 2
                m_sFoundFileList = SmartX.SmartFile.FileSearch("SD Card", m_strSearchWord, chkSubDir.Checked)

                For i As Integer = 0 To m_sFoundFileList.Length - 1
                    SmartListBoxAddItem(i)
                Next

            Case 3
                m_sFoundFileList = SmartX.SmartFile.FileSearch("Flash Disk", m_strSearchWord, chkSubDir.Checked)

                For i As Integer = 0 To m_sFoundFileList.Length - 1
                    SmartListBoxAddItem(i)
                Next

                m_sFoundFileList = SmartX.SmartFile.FileSearch("하드 디스크", m_strSearchWord, chkSubDir.Checked)

                For i As Integer = 0 To m_sFoundFileList.Length - 1
                    SmartListBoxAddItem(i)
                Next

                m_sFoundFileList = SmartX.SmartFile.FileSearch("SD Card", m_strSearchWord, chkSubDir.Checked)

                For i As Integer = 0 To m_sFoundFileList.Length - 1
                    SmartListBoxAddItem(i)
                Next

            Case Else
        End Select
    End Sub

    Private Sub SmartListBoxAddItem(ByVal iIndex As Integer)
        lstImageList.AddItem(m_sFoundFileList(iIndex).strPath & "\" + m_sFoundFileList(iIndex).strFileName & "." + m_sFoundFileList(iIndex).strFileExtension)
    End Sub
End Class
